[vdr] DXR3, which versions to select?

Ville Skyttä ville.skytta at iki.fi
Tue Mar 8 08:06:39 CET 2005


On Tue, 2005-03-08 at 07:33 +0200, Markku Tavasti wrote:
> Ville Skyttä <ville.skytta at iki.fi> writes:

> > D'oh, the dir had a few README files, but Apache was "smart" enough to
> > hide them from the listing.  Fixed now.  Anyway, see
> > http://cachalot.mine.nu/src/dxr3/vdr-dxr3.README
> 
> Fine work, thanks! However, you don't mentition compatible vdr
> version. I suppose you know at least one VDR version your packages
> compile & work, right? :-) 

>From http://cachalot.mine.nu/src/dxr3/:
"You'll need VDR version 1.3.13 or later to use all the patches for the 
 plugin (or the pre-rolled combined patch and -patched tarball)."

I'm using "fully thread patched" 1.3.17 myself, and have tested the
plugin briefly at least up to VDR 1.3.21 (but see below).

> Ok, maybe direct answer is too much to ask, but some brief summary of
> working combinations and known problems might not be too much to ask?

The most glaring DXR3 plugin problems I'm aware of are:
- OSD turns pink after returning from the MPlayer plugin (or hitting 
  "reset DXR3 hardware" in the OSD menu)
- No sound with the MP3 or DVD plugins with VDR >= 1.3.18
- Crashes at VDR exit (somewhat cosmetic)
- Sometimes A/V sync problems, in particular with the MTV3 channel here

I have a small pile of patches I haven't been able to test yet (hi
Luca!) which may or may not improve some of the above.  And more patches
are always welcome...




More information about the vdr mailing list